import { Strategy } from 'passport-jwt';
import { PrismaService } from './prisma.service.js';
declare const JwtStrategy_base: new (...args: [opt: import("passport-jwt").StrategyOptionsWithRequest] | [opt: import("passport-jwt").StrategyOptionsWithoutRequest]) => Strategy & {
    validate(...args: any[]): unknown;
};
export declare class JwtStrategy extends JwtStrategy_base {
    private prisma;
    constructor(prisma: PrismaService);
    validate(payload: any): Promise<{
        name: string | null;
        address: string | null;
        id: string;
        email: string;
        phone: string | null;
        passwordHash: string;
        avatar: string | null;
        createdAt: Date;
        isAdmin: boolean;
        isBlocked: boolean;
    }>;
}
export {};
